
Foreman - Bug #12301

Cancel build returns 500 if host is unreachable

10/24/2015 05:27 AM - Daniel Lobato Garcia

Status: New   

Priority: Normal   

Assignee:    

Category: Orchestration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you leave a host in build mode, but after a while either DNS in the Foreman is broken, or the host is not available any more for

whatever reason, cancelling the build becomes impossible.

It raises a 500 error with 'getaddrinfo: Name or service not known' or any similar exception, depending on the problem.

I think this should be handled gracefully and displayed to the user in a way the user can know what to do with this host now (check

DNS, check the compute resource is reachable, etc...).

Related issues:

Related to Foreman - Bug #10951: Validation errors during host build button s... New 06/30/2015

History

#1 - 10/26/2015 04:06 AM - Dominic Cleal

- Category set to Orchestration

This would be applicable to any host edit that triggers orchestration and external communication, it's not unique to build cancellation.

I think you'd need to be specific about what classes of errors to implement catch code for, so examples would be handy - e.g. a name lookup error

from CR code would need different code to say, a name lookup error of a smart proxy.

#2 - 12/04/2015 03:10 AM - Dominic Cleal

- Related to Bug #10951: Validation errors during host build button should be skipable added
